Foreman - Bug #29237

Initial search not displayed on audits page
03/02/2020 12:44 PM - Ondrej Prazak

Status: New
Priority: Normal
Assignee:

Category: Audit Log

Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1860882 Red Hat JIRA:

Pull request:

Description

Steps to reproduce:

1) Enter url with search into the browser: https://foreman.example.com/audits?search=host+%3D+my-host.example.com

2) The audit records are loaded correctly, but the search is not displayed in search bar.

This bug is a side effect of the fact that we currently add query params to our store. That introduces another source of truth and
requires us to keep store in sync with browser. We should leverage react-router and history object instead.

Related issues:

Related to Foreman - Bug #29230: Click on Hosts -> Audits render json result Closed

History

#1 - 03/02/2020 01:01 PM - Ondfej Prazak

- Related to Bug #29230: Click on Hosts -> Audits render json result added

#2 - 03/08/2020 03:02 PM - Tomer Brisker
- Category set to Audit Log

#3 - 03/18/2021 11:40 PM - Ondfej Ezr
- Triaged changed from No to Yes

- Bugzilla link set to 1860882

05/12/2024

1/1



https://foreman.example.com/audits?search=host+%3D+my-host.example.com
http://www.tcpdf.org

